lv.eparaksts.tsl

## Class TrustedListException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - lv.eparaksts.tsl.TrustedListException

- All Implemented Interfaces:
    Serializable

      public class TrustedListException
      extends Exception

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `REASON_CONFIG` TrustedList configuration error.
    `static int` | `REASON_GENERAL` General error.
    `static int` | `REASON_LOAD` TrustedList load error.
    `static int` | `REASON_NOT_AFTER` TrustedList is expired.
    `static int` | `REASON_PARSE` TrustedList parse error.
    `static int` | `REASON_SIGNATURE` TrustedList signature error.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrustedListException(String message, int reason)`
    `TrustedListException(String message, Throwable cause, int reason)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`
    `int` | `getReason()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REASON_GENERAL

          public static final int REASON_GENERAL

      General error.
      See Also:
        Constant Field Values

    - #### REASON_CONFIG

          public static final int REASON_CONFIG

      TrustedList configuration error.
      See Also:
        Constant Field Values

    - #### REASON_LOAD

          public static final int REASON_LOAD

      TrustedList load error.
      See Also:
        Constant Field Values

    - #### REASON_PARSE

          public static final int REASON_PARSE

      TrustedList parse error.
      See Also:
        Constant Field Values

    - #### REASON_SIGNATURE

          public static final int REASON_SIGNATURE

      TrustedList signature error.
      See Also:
        Constant Field Values

    - #### REASON_NOT_AFTER

          public static final int REASON_NOT_AFTER

      TrustedList is expired.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TrustedListException

          public TrustedListException(String message,
                                      int reason)

    - #### TrustedListException

          public TrustedListException(String message,
                                      Throwable cause,
                                      int reason)

  - ### Method Detail

    - #### getReason

          public int getReason()

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO